Subject: Re: linux-next: build warnings after merge of the mm tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 30 Mar 2024 09:49:19 +1100

Hi Suren,

On Wed, 27 Mar 2024 22:35:56 -0700 Suren Baghdasaryan <[email-masked]> wrote:
>
> https://lore.kernel.org/all/[email-masked]/
> which seems to not yet been pulled into mm-unstable should fix the
> following warnings:
> 
> include/linux/slab.h:730: warning: Function parameter or struct member
> '_n' not described in 'kcalloc'
> include/linux/slab.h:730: warning: Function parameter or struct member
> '_size' not described in 'kcalloc'
> include/linux/slab.h:730: warning: Function parameter or struct member
> '_flags' not described in 'kcalloc'
> include/linux/slab.h:730: warning: Excess function parameter 'n'
> description in 'kcalloc'
> include/linux/slab.h:730: warning: Excess function parameter 'size'
> description in 'kcalloc'
> include/linux/slab.h:730: warning: Excess function parameter 'flags'
> description in 'kcalloc'
> 
> And https://lore.kernel.org/all/[email-masked]/
> should handle the _noprof warnings. I can see this patch in
> mm-unstable and running "make htmldocs" in mm-unstable does not show
> the _noprof warnings anymore. Please let me know if I should try some
> other command to reproduce these.

Those patches entered the mm tree after I had merge it on Thursday.  It
should all be good on Tuesday.

-- 
Cheers,
Stephen Rothwell